LibreOffice LibreOffice 6.2 SDK API Reference

Variables
com::sun::star::text::ReferenceFieldSource Constant Group Referencepublished

These constants define the type of the source of a reference field. More...

## Variables
const short | REFERENCE_MARK = 0
| The source is a reference mark. More...
const short | SEQUENCE_FIELD = 1
| The source is a number sequence field. More...
const short | BOOKMARK = 2
| The source is a bookmark. More...
const short | FOOTNOTE = 3
| The source is a footnote. More...
const short | ENDNOTE = 4
| The source is an endnote. More...

## Detailed Description

These constants define the type of the source of a reference field.

## Variable Documentation

## ◆ BOOKMARK

const short BOOKMARK = 2

The source is a bookmark.

## ◆ ENDNOTE

const short ENDNOTE = 4

The source is an endnote.

## ◆ FOOTNOTE

const short FOOTNOTE = 3

The source is a footnote.

## ◆ REFERENCE_MARK

const short REFERENCE_MARK = 0

The source is a reference mark.

## ◆ SEQUENCE_FIELD

const short SEQUENCE_FIELD = 1

The source is a number sequence field.